# Back-end

## Installation

Se placer dans le dossier epicerie-backend

```bash
$ npm install
```

# Migrations

Dans le dossier epicerie-backend/src/properties, chercher le fichier dbProperties.ts et modifier
le username et password.
Il faut aussi créer une base de données nommée " epicerie"

Faire les migrations comme indiqué ci-dessous:

```bash
$ npm run typeorm-d -- migration:run
```

## Running the app

Se placer dans le dossier epicerie-backend

```bash
# development
$ npm run start

# watch mode
$ npm run start:dev

# production mode
$ npm run start:prod
```

# Front-end

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 14.2.6.

## Installation

Se placer dans le dossier ./Epicerie

```bash
$ npm install
```

## Development server

Se placer dans le dossier epicerie-backend
Run `ng serve` or `npm run start` for a dev server. Navigate to `http://localhost:4200/`. The application will automatically reload if you change
any of
the source
files.

## Code scaffolding

Run `ng generate component component-name` to generate a new component. You can also
use `ng generate directive|pipe|service|class|guard|interface|enum|module`.

## Build

Run `ng build` to build the project. The build artifacts will be stored in the `dist/` directory.

## Running unit tests

Run `ng test` to execute the unit tests via [Karma](https://karma-runner.github.io).

## Running end-to-end tests

Run `ng e2e` to execute the end-to-end tests via a platform of your choice. To use this command, you need to first add a package that implements
end-to-end testing capabilities.

## Further help

To get more help on the Angular CLI use `ng help` or go check out the [Angular CLI Overview and Command Reference](https://angular.io/cli) page.
